Subject: bug#13892: 24.3.50; Provide for customizing default regexp in hi-lock commands

From: Juri Linkov <[email-masked]>
Date: Sun, 10 Mar 2013 20:31:03 +0200

> Provide for customizing default regexp in hi-lock commands

Actually it's possible do the same for hi-lock commands that read faces.

I mean moving the following part of `hi-lock-read-face-name':

   (defaults (append hi-lock--unused-faces
                     (cdr (member last-used-face hi-lock-face-defaults))
                     hi-lock-face-defaults))

to a new function with a name like `hi-lock-read-face-name-defaults'
where you could implement your wishes for hi-lock face auto-rotation
and auto-selection of the next default face value.  In a separate
function the users would be able to modify its default behavior easily.